Subject: Re: [bug#30034] [PATCH] Update guile-bytestructures to 1.0.1.

From: ng0 <[email-masked]>
Date: Mon, 8 Jan 2018 23:25:24 +0000

Amirouche Boubekki transcribed 0.4K bytes:
> Le 2018-01-08 23:59, Amirouche Boubekki a écrit :
> > Le 2018-01-08 23:53, Amirouche Boubekki a écrit :
> > > Becarful guix depends on guile-git which depends on
> > > guile-bytestructures.
> > 
> > I am not sure which tests I must run to make sure guix is not broken.
> > Let me know, what manual tests are required.
> 
> I managed to install 'guix' with the new 'guile-bytestructures'
> and 'guix pull' works.

I'm sceptic about the change of the build system together with the update.
There must be a reason we used trivial-build-system in Guix, or is it
just that the software had no proper tooling for builds until 1.0 and 1.0.1?
-- 
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://c.n0.is/ng0_pubkeys/tree/keys
  WWW: https://n0.is/a/  ::  https://ea.n0.is